## org.apache.lucene.xmlparser.builders
Class SpanOrBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase
          org.apache.lucene.xmlparser.builders.SpanOrBuilder

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanOrBuilder

extends SpanBuilderBase

Constructor Summary
`SpanOrBuilder(SpanQueryBuilder factory)`

Method Summary
`SpanQuery` `getSpanQuery(Element e)`

Methods inherited from class org.apache.lucene.xmlparser.builders.SpanBuilderBase
`getQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanOrBuilder

    public SpanOrBuilder(SpanQueryBuilder factory)

Method Detail

### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

  Throws:
    `ParserException`